<!--suppress CssUnusedSymbol -->
<style>
  .blue { color: dodgerblue; }
  .op {  border-bottom: thin solid grey; font-family: monospace; color: chocolate; margin-left:25px; width: fit-content}
  .sep { height: 2px; border-width: 0; background-color: goldenrod; }
  .text { padding: 2px 3px 2px 3px; border: thin dotted white; background-color: black; color: cadetblue; margin-left:25px;  width: fit-content}
  h1 { color: chocolate; }
</style>

# Testing Environment Files
This folder primarily contains files related to the python testing environment and the files for the 
fish shell version of the  <b class="blue">ORIENT</b> environment.

<hr class="sep">

## 1. Python requirements
Two files exist to deal with python test environment requirements -- "**requirements.txt**" (actually used by the python
environment) and "**requirements.in**" (simpler file the is "compiled" to create requirements.txt).

If you are running within the <b class="blue">ORIENT</b> environment, you can compile any changes to `requirements.in` using the 
`+requirements` function

<pre class="text">
  Compiling './environment/requirements.in' ...  
WARNING: using legacy resolver is deprecated and will be removed in future versions. The default resolver will be change to 'backtracking' in 7.0.0 version. Specify --resolver=backtracking to silence this warning.
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --extra-index-url=https://artifactory-pub.bit9.local/artifactory/api/pypi/pypi-virtual/simple --output-file=requirements.txt --trusted-host=artifactory-pub.bit9.local requirements.in
#
--extra-index-url https://artifactory-pub.bit9.local/artifactory/api/pypi/pypi-virtual/simple
--trusted-host artifactory-pub.bit9.local

appdirs==1.4.4
    # via pyppeteer
async-timeout==4.0.2
    # via redis
attrs==22.2.0
    # via pytest
beautifulsoup4==4.11.2
    # via
    #   bs4
    #   google
bs4==0.0.1
    # via requests-html
certifi==2022.12.7
    # via
    #   pyppeteer
    #   requests
cffi==1.15.1
    # via cryptography
charset-normalizer==3.1.0
    # via requests
cryptography==39.0.2
    # via csp-cbc-auth
csp-cbc-auth==0.8.0.post2+ga7f6869
    # via psc-server-support
cssselect==1.2.0
    # via pyquery
execnet==1.9.0
    # via pytest-xdist
fake-useragent==1.1.1
    # via requests-html
filelock==3.9.1
    # via -r requirements.in
google==3.0.0
    # via
    #   proto-defense-core
    #   proto-psc-blading
    #   proto-psc-hello
hashids==1.3.1
    # via
    #   csp-cbc-auth
    #   psc-orgkey
idna==3.4
    # via requests
importlib-metadata==4.0.0
    # via
    #   -r requirements.in
    #   pyppeteer
iniconfig==2.0.0
    # via pytest
lxml==4.9.2
    # via pyquery
packaging==23.0
    # via pytest
parse==1.19.0
    # via requests-html
pluggy==1.0.0
    # via pytest
proto-defense-core==3.0.2855
    # via psc-server-support
proto-psc-blading==3.0.2855
    # via psc-server-support
proto-psc-hello==3.0.2855
    # via psc-server-support
protobuf==4.22.1
    # via
    #   proto-defense-core
    #   proto-psc-blading
    #   proto-psc-hello
psc-access==2.6.2
    # via psc-server-support
psc-auth==2.0.12
    # via
    #   -r requirements.in
    #   psc-access
    #   psc-rules
psc-orgkey==0.9
    # via
    #   -r requirements.in
    #   psc-server-support
psc-rules==1.12.7
    # via psc-server-support
psc-server-support==4.0.post88+g843eb7d
    # via -r requirements.in
psycopg2-binary==2.9.5
    # via -r requirements.in
pycparser==2.21
    # via cffi
pyee==8.2.2
    # via pyppeteer
pyjwt==2.6.0
    # via csp-cbc-auth
pyppeteer==1.0.2
    # via requests-html
pyquery==1.4.3
    # via
    #   csp-cbc-auth
    #   requests-html
pytest==7.2.2
    # via
    #   -r requirements.in
    #   pytest-sguid-plugin
    #   pytest-xdist
pytest-sguid-plugin==1.2.3
    # via -r requirements.in
pytest-xdist==3.2.1
    # via -r requirements.in
pyyaml==6.0
    # via -r requirements.in
redis==4.5.1
    # via psc-auth
requests==2.28.2
    # via
    #   -r requirements.in
    #   csp-cbc-auth
    #   psc-access
    #   psc-auth
    #   psc-rules
    #   psc-server-support
    #   requests-html
    #   requests-toolbelt
requests-html==0.10.0
    # via csp-cbc-auth
requests-toolbelt==0.10.1
    # via psc-server-support
soupsieve==2.4
    # via beautifulsoup4
tenacity==8.2.2
    # via
    #   csp-cbc-auth
    #   psc-rules
    #   psc-server-support
tqdm==4.65.0
    # via pyppeteer
urllib3==1.26.15
    # via
    #   pyppeteer
    #   requests
w3lib==2.1.1
    # via requests-html
websockets==10.4
    # via pyppeteer
zipp==3.15.0
    # via importlib-metadata
</pre>

Once the new file is created, source `orient.sh` or `orient.fish` to apply it to the HELLO python virtualenv.

## 1.1.1. If not using ORIENT
Without <b class="blue">ORIENT</b>, this can be done by hand by entering your desired python virtualenv, going to this folder and entering:
<p class="op">
pip-compile -U requirements.in --trusted-host artifactory-pub.bit9.local -o requirements.txt
</p>

followed up with:
<p class="op">
pip install -I --trusted-host artifactory-pub.bit9.local --use-pep517 -r ./requirements.txt
</p>




